Subject: Re: Re: Bridge or

From: Danny McPherson <[email-masked]>
Date: Fri, 06 Dec 2002 21:58:05 -0700

OK, this is getting old...

The use of the word "emulation" in the PWE3 documents you cite
varies, based on what the PWE3 Architecture and Requirements
documents AND the authors of the related documents consider 
"essential attributes" required to provide said service(s) over 
an IP or MPLS PSN.  

That is, there's no strict definition of the word "emulation", 
or any other word, unless otherwise explicitly denoted as such, 
and it's use is based on whatever amount of faithfulness is 
deemed sufficient by the interested parties to provide the 
associated service(s) over IP or MPLS PSNs.

As I mentioned in my previous message, if there are certain 
words or phrases that you've become attached to and/or are 
clearly defined in publicly accessible or well know specifications,
then by all means, please recommend corrections.  Otherwise, the 
word "emulation", or any other word or phrase employed in PWE3 
documents means we'll be specifying only the set of capabilities 
described in the associated PWE3 document(s) -- nothing more.

I agree with some of your earlier comments and will attempt to 
make clarifications accordingly.  However, unless something can
be demonstrated as "broken" because of the use of a particular 
chosen word or phrase, I'm not sure there's a problem or that it's
worth burning any additional WG resources on..

-danny

> From http://www.ietf.org/internet-drafts/draft-ietf-pwe3-arch-01.txt
>    This document describes an architecture for Pseudo Wire Emulation
>    Edge-to-Edge (PWE3).  It discusses the emulation of services (such as
>    Frame Relay, ATM, Ethernet TDM and SONET/SDH) over packet switched
>    networks (PSNs) using IP or MPLS.
> 
> From
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-framework-01.txt
>  It discusses the emulation of services (such
>    Frame Relay, ATM, Ethernet T1, E1, T3, E3 and SONET/SDH) over packet
>    switched networks (PSNs) using IP or MPLS.
> [....]
>    PWE3 is a mechanism that emulates the essential attributes of a
>    service (such as a T1 leased line or Frame Relay) over a PSN.  The
>    required functions of PWs include encapsulating service-specific
>    bit-streams or PDUs arriving at an ingress port, and carrying them
>    across a path or tunnel, managing their timing and order, and any
>    other operations required to emulate the behavior and characteristics
>    of the service as faithfully as possible.
> 
> From
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ethernet-encap-01.txt
> This document addresses the
>    encapsulation of Ethernet/802.3 PDUs within a pseudowire, and issues
>    associated with the point-to-point emulation of ethernet within a PW.
> 
> Perhaps you could clarify what emulation of Ethernet service means in
> the PWE3 charter and the documents above.
> Muneyoshi, Juergen and I have stated our views of emulation of Ethernet
> (perhaps one too many times already).